### File

`src/ngx-cache-layer.interfaces.ts`

### Index

###### Properties
cacheFlushInterval deleteOnExpire localStorage maxAge

### Properties

cacheFlushInterval
`cacheFlushInterval: `number``
Type : `number`
Defined in src/ngx-cache-layer.interfaces.ts:8

deleteOnExpire
`deleteOnExpire: `string``
Type : `string`
Default value : `aggressive`
Defined in src/ngx-cache-layer.interfaces.ts:7

localStorage
`localStorage: `boolean``
Type : `boolean`
Defined in src/ngx-cache-layer.interfaces.ts:10

maxAge
`maxAge: `number``
Type : `number`
Defined in src/ngx-cache-layer.interfaces.ts:9

    export interface CacheLayerItem<T> {
      key: string;
      data: T;
    }

    export class CacheServiceConfigInterface {
      deleteOnExpire?: string = 'aggressive';
      cacheFlushInterval: number = 60 * 60 * 1000;
      maxAge: number = 15 * 60 * 1000;
      localStorage: boolean;
    }

    export interface CacheLayerInterface {
      name: string;
      config?: CacheServiceConfigInterface;
      items?: any;
    }

# results matching ""

# No results matching ""